﻿@using System.Web.UI.WebControls;
@using Portal.Models.DailyOrder;


<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="height:25px; padding-right:4px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Order No";
                    label.Width = Unit.Pixel(80);
                }).GetHtml()
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "OrderNo";
                settings.Width = new System.Web.UI.WebControls.Unit(100);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
            }).GetHtml()
        </td>
        <td style="height:25px; padding-right:4px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier";
                    label.Width = Unit.Pixel(80);
                }).GetHtml()
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "SupplierPlan";
                settings.Width = new System.Web.UI.WebControls.Unit(100);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
            }).GetHtml()
        </td>
    </tr>
    <tr>
        <td style="height:25px; padding-right:4px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Rcv Plant Code";
                    label.Width = Unit.Pixel(90);
                }).GetHtml()
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "RvcPlanCode";
                settings.Width = new System.Web.UI.WebControls.Unit(100);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
            }).GetHtml()
        </td>
        <td style="height:25px; padding-right:4px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Dock Code";
                    label.Width = Unit.Pixel(80);
                }).GetHtml()
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "DockCode";
                settings.Width = new System.Web.UI.WebControls.Unit(100);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
            }).GetHtml()
        </td>
    </tr>
</table>
<br />
<table cellpadding="0" cellspacing="0">
    <tr align="right">
        <td style="width:290px" colspan="3"></td>
        <td>
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnCancelPartOrderReguler";
                    settings.Text = "Cancel Part";
                    settings.Width = Unit.Pixel(100);
                    settings.ClientSideEvents.Click = "CancelPart";

                    // authorization code
                    int auth = ViewData["CancelButtonAuth"] != null ? (int)ViewData["CancelButtonAuth"] : 0;

                    switch (auth)
                    {
                        case 0:
                            settings.ClientVisible = false;
                            break;
                        case 1:
                            settings.Enabled = false;
                            break;
                        case 2:
                            settings.ClientVisible = true;
                            settings.Enabled = true;
                            break;
                        default:
                            settings.ClientVisible = true;
                            settings.Enabled = true;
                            break;
                    }
                }
            ).GetHtml()                
        </td>
        @*<td style="padding-left:2px">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnRegulerUpdateSubDetail";
                    settings.Text = "Update";
                    settings.Width = Unit.Pixel(80);
                    settings.ClientSideEvents.Click = "UpdateSubDetail";
                }
            ).GetHtml()
        </td>
        <td style="padding-left:2px">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnCancelSubDetail";
                    settings.Text = "Cancel";
                    settings.Width = Unit.Pixel(80);
                    settings.ClientSideEvents.Click = "function(s,e){ popupDailyDataSubDetail.Hide(); }";
                }
            ).GetHtml()   
        </td>*@
    </tr>
</table>